> For the complete documentation index, see [llms.txt](https://solpay-docs.solblaze.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://solpay-docs.solblaze.org/reference/api-reference/transaction.md).

# transaction.php

## Verifies the details of a Solana transaction made through SOL Pay

<mark style="color:blue;">`GET`</mark> `https://solpay.solblaze.org/transaction.php`

The transaction endpoint takes in two parameters: `to` and `txid`. The `to` parameter is for the recipient address, and the `txid` is for the transaction signature (which can be obtained through one of the following transaction functions: [sendSolanaLamports](/reference/sdk-reference/send-solana-lamports.md), [sendSolana](/reference/sdk-reference/send-solana.md), [signTransaction](/reference/sdk-reference/sign-transaction.md)). The endpoint returns the sender address and the number of lamports sent.

#### Query Parameters

| Name                                   | Type   | Description                                |
| -------------------------------------- | ------ | ------------------------------------------ |
| to<mark style="color:red;">\*</mark>   | string | recipient address                          |
| txid<mark style="color:red;">\*</mark> | string | transaction signature                      |
| network                                | string | mainnet-beta (default), devnet, or testnet |

{% tabs %}
{% tab title="200: OK success - the transaction details are returned" %}

```javascript
{
    "status": "success",
    "transaction": {
        "lamports": 10000,
        "amount": 1.0e-5,
        "from": "SENDER_ADDRESS"
    }
}
```

{% endtab %}

{% tab title="200: OK error - could not find transaction " %}

```javascript
{
    "status": "error",
    "error": "There was no transaction with the specified txid made through SOL Pay."
}
```

{% endtab %}

{% tab title="200: OK error - missing parameters" %}

```javascript
{
    "status": "error",
    "error": "Missing parameters, endpoint requires the following fields: to, txid."
}
```

{% endtab %}

{% tab title="200: OK error - maintenance mode" %}

```javascript
{
    "status": "error",
    "error": "SOL Pay is in maintenance mode, please try again in a few minutes."
}
```

{% endtab %}

{% tab title="200: OK error - extended maintenance mode" %}

```javascript
{
    "status": "error",
    "error": "SOL Pay is in extended maintenance mode, please try again later."
}
```

{% endtab %}

{% tab title="200: OK error - unknown" %}

```javascript
{
    "status": "error",
    "error": "An unknown error occurred, please try again in a few minutes"
}
```

{% endtab %}
{% endtabs %}

### Example Request:

```
https://solpay.solblaze.org/transaction.php?to=RECIPIENT_ADDRESS&txid=TRANSACTION_SIGNATURE&network=mainnet-beta
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://solpay-docs.solblaze.org/reference/api-reference/transaction.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
